de.esprit.appsuite.database.dbgui.field

## Class InvalidFieldInputException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - de.esprit.common.gui.ZException
      - - de.esprit.appsuite.database.dbgui.field.InvalidFieldInputException

- All Implemented Interfaces:
    java.io.Serializable

      public class InvalidFieldInputException
      extends ZException

  This Exception is thrown by Field classes that create Objects from their String values. If the string parsing fails due to invalid input then an according translated error message is created.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvalidFieldInputException(NlsKey message)`
    `InvalidFieldInputException(NlsKey dataTypeKey, java.lang.String value)`
    `InvalidFieldInputException(NlsKey dataTypeKey, java.lang.String value, java.lang.String requiredFormat)`

  - ### Method Summary

    - ### Methods inherited from class de.esprit.common.gui.ZException

      `getErrorType, getMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvalidFieldInputException

          public InvalidFieldInputException(NlsKey dataTypeKey,
                                    java.lang.String value,
                                    java.lang.String requiredFormat)

    - #### InvalidFieldInputException

          public InvalidFieldInputException(NlsKey dataTypeKey,
                                    java.lang.String value)

    - #### InvalidFieldInputException

          public InvalidFieldInputException(NlsKey message)

Copyright © 2014 EsprIT-Systems. All Rights Reserved.